---
title: List
slug: 9YZY-list
description: Learn how to retrieve all activities from a specific API endpoint using the GET method and an access token for authorization. This document includes code examples in JSON format, showcasing valuable information for each activity, including type, ID, times
createdAt: 2023-09-28T16:31:52.569Z
---

:::ApiMethodV2
```json
{
  "name": "Retrieve all activities",
  "method": "GET",
  "url": "https://data.successeve.com/v2/activities",
  "description": " ",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "s6hBJiQt_-goaw2ozK2Re",
        "language": "curl",
        "code": "curl -X GET https://data.successeve.com/v2/activities \\\n-H 'Accept: application/json' \\\n-H 'Authorization:Bearer <Your access token>'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "s6hBJiQt_-goaw2ozK2Re"
  },
  "results": {
    "languages": [
      {
        "id": "rcl0vORAmU_xeQvwqNYiV",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"object\": \"activity.list\",\n  \"data\": [\n    {\n      \"object\": \"activity\",\n      \"type\": \"call\",\n      \"id\": \"5d4d879ef92ea143f0e3e0b5\",\n      \"created_at\": 1565362078,\n      \"completed_at\": 1565361921,\n      \"subject\": \"Call with John\",\n      \"note\": \"< text here ...> \",\n      \"accounts\": [\n        {\n          \"object\": \"account\",\n          \"id\": \"5aa42e5ecb4a290c579aeec8\"\n        }\n       ],\n      \"author\": {\n        \"object\": \"user\",\n        \"id\": \"5a9d0d70ec8d83231af64745\"\n      }\n    },\n    ....\n  ],\n  \"pagination\": {\n    \"total\": 4019,\n    \"offset\": 0,\n    \"limit\": 25,\n    \"count\": 25,\n    \"next\": \"https://data.successeve.com/v2/activities?offset=25&limit=25\"\n  }\n}\n"
      },
      {
        "id": "YqvStDSYbOdf4cMbYTNvU",
        "language": "404",
        "customLabel": "",
        "code": "{\n    \"error\": \"404 Object not found\"\n}"
      }
    ],
    "selectedLanguageId": "rcl0vORAmU_xeQvwqNYiV"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "offset",
        "kind": "optional",
        "type": "Number",
        "description": "What offset of results to fetch. Defaults to first item.",
        "children": []
      },
      {
        "name": "limit",
        "kind": "optional",
        "type": "Number",
        "description": "How many results per page. Defaults to 25, Max is 100.",
        "children": []
      },
      {
        "name": "order",
        "kind": "optional",
        "type": "string",
        "description": "Returns the accounts in ascending or descending order. Valid values: asc or desc. Defaults to desc.",
        "children": []
      },
      {
        "name": "sort",
        "kind": "optional",
        "type": "string",
        "description": "What field to sort the results by. Valid values: ‘created_at’",
        "children": []
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  }
}
```
:::

